- Home
- API Enriched
- Dns
- config
- Validate BIND Files.
Validate BIND Files.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/dns/namespaces/system/dns_zone/import_bind_validate';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"description":"example","file":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/dns/namespaces/system/dns_zone/import_bind_validate \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "description": "example", "file": "example" }'Validate BIND Files for Import.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”object
Optional description about zone, import method, etc.
Required: YES.
Examplegenerated
{ "description": "example", "file": "example"}Responses
Section titled “Responses”A successful response.
object
Zones that we failed to parse. On submission, objects will not be created for any detected zone in this list.
object
Configuration parameter for validation error
Human-readable name for the resource
Number of items or occurrences
Zones that we parsed succcessfully. On submission, objects will be created for every zone in this list.
object
Number of items or occurrences
Human-readable name for the resource
Examplegenerated
{ "invalid_zone_list": [ { "validation_error": "example", "zone_name": "example" } ], "success_created_zone_count": 1, "valid_zone_list": [ { "record_count": 1, "zone_name": "example" } ]}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example